File: changelog

package info (click to toggle)
commons-jci 1.1-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 904 kB
  • sloc: java: 4,373; xml: 1,344; makefile: 4; jsp: 4; sh: 1
file content (140 lines) | stat: -rw-r--r-- 4,865 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
commons-jci (1.1-5) unstable; urgency=medium

  [ Emmanuel Bourg ]
  * Team upload.
  * Removed the unused build dependency on libmaven-install-plugin-java

  [ tony mancill ]
  * Moved the package to Git
  * Add wagon-ssh-external to maven.ignoreRules (Closes: #882512)
  * Use debhelper 10.
  * Bump Standards-Version to 4.1.2

 -- tony mancill <tmancill@debian.org>  Sun, 03 Dec 2017 16:57:29 -0800

commons-jci (1.1-4) unstable; urgency=medium

  * Team upload.
  * Build with maven-debian-helper instead of maven-ant-helper
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Depend on groovy instead of groovy2
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 13:12:37 +0200

commons-jci (1.1-3) unstable; urgency=medium

  * Team upload.
  * Transition to Groovy 2

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 20 Nov 2015 13:32:21 +0100

commons-jci (1.1-2) unstable; urgency=medium

  * Transition to libasm4-java
  * Standards-Version updated to 3.9.5 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 12 May 2014 17:21:17 +0200

commons-jci (1.1-1) unstable; urgency=low

  * New upstream release
  * Dropped the patches merged upstream

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Oct 2013 00:26:36 +0200

commons-jci (1.0-7) unstable; urgency=low

  * Fix build with janino 2.6.x release:
   - d/patches/01_janino_version_change.diff: Updated.
   - d/control: Tighten dependencies to libjanino-java (>= 2.6.0).
  * d/control: Wrap-and-sort.
  * d/compat: Bump debhelper compat to 9.

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 16 Aug 2013 14:16:11 +0200

commons-jci (1.0-6) unstable; urgency=low

  * Added a patch to compile with Eclipse JDT compiler 3.8 and later
    (Closes: #713759)
  * Updated Standards-Version to 3.9.4 (no changes)
  * Use canonical URLs for the Vcs-* fields
  * debian/rules: Added a clean target to allow rebuilds
  * debian/copyright: Updated to the copyright format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Jun 2013 00:07:38 +0200

commons-jci (1.0-5) unstable; urgency=low

  * d/control: Drop Depends on default-jre per Debian Java Policy as its
    a library package.
  * d/control: B-D and Depends on librhino-java instead of rhino
    (ie. so no JRE in dependencies graph).
  * Bump Standards-Version 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 25 Jun 2011 13:06:33 +0200

commons-jci (1.0-4) unstable; urgency=low

  [ Torsten Werner ]
  * Change maintainers into Maintainers.

  [ Onkar Shinde ]
  * Team upload.
  * Convert package to 3.0 source format.
  * asm2 -> asm3 transition.
  * Update standards version to 3.8.4.
  * Link javadoc against the system installed javadoc.
  * Install API docs to /usr/share/doc/libcommons-jci-java/ instead of
    /usr/share/doc/libcommons-jci-java-doc/. Update doc-base file accordingly.

  [ Damien Raude-Morvan ]
  * Update to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 23 Jun 2010 19:26:21 +0200

commons-jci (1.0-3) unstable; urgency=low

  * Update my email address
  * Bump Standards-Version 3.8.3 (no changes needed)
  * Bump debhelper version to 7
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpoms and mh_installjar to install the POM and the jar to the
      Maven repository
  * Maven ant helper (build system):
    - Add a Build-Depends dependency on maven-ant-helper
    - Update debian/build.xml to use /usr/share/maven-ant-helper/maven-build.xml
    - Build classpath is now defined in debian/build.properties
  * Use default-jdk:
    - Build-Depend on default-jdk instead of openjdk-6-jdk
    - Depends on default-jre-headless
    - Use /usr/lib/jvm/default-java as JAVA_HOME

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 24 Nov 2009 00:29:48 +0100

commons-jci (1.0-2) unstable; urgency=low

  * Upload to unstable as Lenny is now released
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Switch to Quilt patch system:
    - Refresh all patches
    - Remove B-D on dpatch, Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules  
  * Bump Standards-Version 3.8.2:
    - Add a README.source to describe patch system
    - Move libcommons-jci-java-* to "java" section
  * Depends on default-jre-headless instead of java-gcj-compat

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Fri, 17 Jul 2009 16:09:24 +0200

commons-jci (1.0-1) experimental; urgency=low

  * Initial release. (Closes: #499448)
  * debian/control:
    - each binary package now depends on headless version of java-gcj-compat
    - don't use alternative in B-D line (increase build reproducibility)
  * Include examples in libcommons-jci-java-doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 29 Nov 2008 22:48:17 +0100